%define anolis_release 1
%global srcname msgpack

Name:           python-%{srcname}
Version:        1.0.7
Release:        %{anolis_release}%{?dist}
Summary:        Python MessagePack (de)serializer

License:        Apache-2.0
URL:            https://msgpack.org/
Source0:        https://github.com/msgpack/msgpack-python/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc-c++

%description
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.
This is a Python (de)serializer for MessagePack.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

# For backwards compatibility
Provides:       python3dist(%{srcname}-python) = %{version}
Provides:       python%{python3_version}dist(%{srcname}-python) = %{version}

%description -n python%{python3_pkgversion}-%{srcname}
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.
This is a Python %{python3_version} (de)serializer for MessagePack.

%prep
%autosetup -p1 -n %{srcname}-python-%{version}
# There is a circular dependency with python-msgpack-ext
rm -rf test/test_timestamp.py

%build
%py3_build

%install
%py3_install

%check
%pytest -v test

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%license COPYING
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}*.egg-info

%changelog
* Wed Jan 10 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.0.7-1
- Initial package.